diff --git a/pgadmin/agent/pgaJob.cpp b/pgadmin/agent/pgaJob.cpp
index 3b85086..214ac71 100644
--- a/pgadmin/agent/pgaJob.cpp
+++ b/pgadmin/agent/pgaJob.cpp
@@ -48,7 +48,6 @@ wxString pgaJob::GetTranslatedMessage(int kindOfMessage) const
 			break;
 		case DDLREPORT:
 			message = _("pgAgent job DDL report");
-			message += wxT(" - ") + GetName();
 			break;
 		case DEPENDENCIESREPORT:
 			message = _("pgAgent job dependencies report");
@@ -72,7 +71,7 @@ wxString pgaJob::GetTranslatedMessage(int kindOfMessage) const
 	}
 
 	if (!message.IsEmpty() && !(kindOfMessage == DROPEXCLUDINGDEPS || kindOfMessage == DROPTITLE))
-		message += wxT(" ") + GetName();
+		message += wxT(" - ") + GetName();
 
 	return message;
 }
diff --git a/pgadmin/agent/pgaSchedule.cpp b/pgadmin/agent/pgaSchedule.cpp
index e679406..c5d6ff8 100644
--- a/pgadmin/agent/pgaSchedule.cpp
+++ b/pgadmin/agent/pgaSchedule.cpp
@@ -50,7 +50,6 @@ wxString pgaSchedule::GetTranslatedMessage(int kindOfMessage) const
 			break;
 		case DDLREPORT:
 			message = _("pgAgent schedule DDL report");
-			message += wxT(" - ") + GetName();
 			break;
 		case DEPENDENCIESREPORT:
 			message = _("pgAgent schedule dependencies report");
@@ -74,7 +73,7 @@ wxString pgaSchedule::GetTranslatedMessage(int kindOfMessage) const
 	}
 
 	if (!message.IsEmpty() && !(kindOfMessage == DROPEXCLUDINGDEPS || kindOfMessage == DROPTITLE))
-		message += wxT(" ") + GetName();
+		message += wxT(" - ") + GetName();
 
 	return message;
 }
diff --git a/pgadmin/agent/pgaStep.cpp b/pgadmin/agent/pgaStep.cpp
index e7fdd72..d7f6485 100644
--- a/pgadmin/agent/pgaStep.cpp
+++ b/pgadmin/agent/pgaStep.cpp
@@ -46,7 +46,6 @@ wxString pgaStep::GetTranslatedMessage(int kindOfMessage) const
 			break;
 		case DDLREPORT:
 			message = _("pgAgent step DDL report");
-			message += wxT(" - ") + GetName();
 			break;
 		case DEPENDENCIESREPORT:
 			message = _("pgAgent step dependencies report");
@@ -70,7 +69,7 @@ wxString pgaStep::GetTranslatedMessage(int kindOfMessage) const
 	}
 
 	if (!message.IsEmpty() && !(kindOfMessage == DROPEXCLUDINGDEPS || kindOfMessage == DROPTITLE))
-		message += wxT(" ") + GetName();
+		message += wxT(" - ") + GetName();
 
 	return message;
 }